The Cisco Contact Center Enterprise (CCE) Solution Compatibility Matrix includes all the Cisco CCE solutions and component compatibility information. This compatibility matrix specifies all supported configurations and versions for Release 12.0(1). The information in this compatibility matrix supersedes compatibility information in any other Cisco Contact Center Enterprise documentation. If a configuration or version is not stated, that configuration or version is not supported.


Note

The Compatibility Matrix specifies all supported third-party softwares (like Avaya, Nortel, and VMware) and its versions. Support for these software versions and their interoperability depends on the release cycles (patches and upgrades) of the third-party software. For example, support for ESXi depends on VMware release cycles.


Central Controller and Component Compatibility


Note

  • Cisco HCS for Contact Center 12.0(1) shares the same media kit as Cisco Unified CCE 12.0(1), which includes some components not supported in a Cisco HCS for Contact Center deployment.

  • Upgrade all the solution components to experience the new features delivered as part of a particular solution release version. Upgrading only the component that delivers the new feature may not be sufficient in all cases.

    For more information on upgrade paths, see the CCE Upgrade Flowcharts in the respective Contact Center Enterprise Installation and Upgrade Guides.

  • IP IVR 12.0(1) is compatible only with CCE 12.0(1).

  • Packaged CCE: All components must be on the same release.

    Exception: Cisco Unified CM can continue to be on an earlier compatible release for an off-box solution deployment.

  • Support for a Cisco Unified CM release is inclusive of all updates.


Unified CCE/HCS-CC Components, Release 12.0

Unified CCE/HCS-CC Components, Release 11.6

IdS (Standalone) Finesse ECE CVP VVB CUIC (Standalone) CUIC-LiveData-IdS (Coresident) Router Logger AW Live Data (Standalone) PG SocialMiner

CUCM *

CCMP / CCDM

Comments
Identity Server (Standalone) Y Y Y Y
Finesse N N Y# Y& Y Y Y Y Y Y Y

# Install the CUIC, Release 11.6(1) latest COP, patch before you upgrade Cisco Finesse to Release 12.0(1).

& If you have not enabled SSO, update the CUIC in the co-resident deployment to Release 11.6(1) latest COP. If you have enabled SSO, upgrade the co-resident deployment to Release 12.0(1).

Note: Desktop Chat feature requires Cisco Unified CM, Release 12.5.

ECE N N Y Y Y Y Y
CVP Y Y Y Y Y Y Y Y Y Install VVB Release 11.6(1) ES84 before you upgrade CVP to 12.0(1).
VVB Y
CUIC (Standalone) N N N Y Y
CUIC-LiveData-IdS (Co-resident) N N N N N
Router N N N N N N N Y N N
Logger N N N N N N N Y N N
AW N N N N N N N Y N N
Live Data (Standalone) N N N N N N Y
PG N N N N N N N N N N Y
SocialMiner N Upgrade MR PG and SocialMiner in the same maintence window.
CCMP N Y Y Y Y Y

Not Applicable to Packaged CCE.

CCDM Y N N N Y Applicable only to HCS for CC.

* CUCM, Releases 11.5(1), 12.0(1) and 12.5(1) are supported with Unified CCE and Packaged CCE, Release 12.0(1). CUCM, Release 11.5(1) is supported for HCS-CC, Release 12.0(1).

Unified CCE/HCS-CC Components, Release 12.0

Unified CCE/HCS-CC Components, Release 11.5

IdS (Standalone) Finesse ECE CVP VVB CUIC (Standalone) CUIC-LiveData-IdS (Coresident) Router Logger AW Live Data (Standalone) PG SocialMiner

CUCM *

CCMP / CCDM

Comments
Identity Server (Standalone) Y Y Y Y
Finesse N N N N Y# Y# Y Y Y Y Y Y Y #

Note: Live Data reports are not supported if Finesse is upgraded to Release 12.0(1) with CUIC, Release 11.5.

ECE N N Y Y Y N N Y
CVP No N Y Y Y Y Y Y Y Y Before you upgrade to Cisco Unified CVP, Release12.0 (1), upgrade VVB to Release 11.6(1) ES84.
VVB Y
CUIC (Standalone) N N N Y Y*

Install LD COP 14 or later.

CUIC-LiveData-IdS (Co-resident) N N N N N N Y Y Y
Router N N N N N N N Y N N
Logger N N N N N N N Y N N
AW N N N N N N N Y N N

Live Data

(Standalone)

N N N N N N N Y
PG N N N N N N N N N N Y
SocialMiner N Upgrade MR PG and SocialMiner in the same maintence window.
CCMP Y N N N Y Not Applicable to Packaged CCE.
CCDM Y N N N Y Applicable only to HCS for CC.

* CUCM, Releases 11.5(1) and 11.5(1) SU4 are supported with Unified CCE, Packaged CCE and HCS-CC solutions, Release 12.0(1).

Unified CCE/HCS-CC Components, Release 12.0

Unified CCE/HCS-CC Components, Release 11.0

Finesse CVP VVB CUIC (Standalone) CUIC-LiveData-IdS (Coresident) Router Logger AW Live Data (Standalone) PG SocialMiner

CUCM *

CCMP / CCDM

Comments
Identity Server (Standalone) Y Y Y
Finesse N N Y# Y# Y Y Y Y Y Y Y #

Note: Live Data reports are not supported if Finesse is upgraded to Release 12.0(1) with CUIC, Release 11.0.

ECE

ECE is not supported with CCE solutions, Release 11.0(x).

CVP No N Y Y Y Y Y Y Y Before you upgrade to Cisco Unified CVP, Release12.0 (1), upgrade VVB to Release 11.6(1) ES84.
VVB No Y
CUIC (Standalone) N N Y Y*

Contact Cisco Technical Support for an ET.

CUIC-LiveData-IdS (Co-resident) N N N N
Router N N N N N N Y N N
Logger N N N N N N Y N N
AW N N N N N N Y N N

Live Data

(Standalone)

N N N N N N N Y
PG N N N N N N N N N
SocialMiner N Upgrade MR PG and Customer Collaboration Platform in the same maintenance window
CCMP Y N N N Y Not Applicable to Packaged CCE.
CCDM Y N N N Y Applicable only to HCS for CC.

* CUCM, Releases 11.5(1) and 11.5(1) SU4 are supported with Unified CCE, Packaged CCE and HCS-CC solutions, Release 12.0(1).

Notes

  • In 2000 Agent deployments, CUIC-IdS-LD, Rogger, AW-HDS-DDS, Finesse, and ECE need to be upgraded together in the same maintenance window.

  • Upgrade the JTAPI client and, if necessary, IP IVR when you upgrade CUCM.

  • HSC-CC, Release 12.0 supports only CUCM, Release 11.5.

Cisco Gateway Hardware and Software

Gateway Functionality
Central Controller version 12.0(1) Model Software Version Software Feature Set

VXML Gateway Browser

Call Progress Analysis for Outbound Options for SIP Trunks (CUBE)

Packaged CCE, And Cisco HCS-CC Support Comments

ASR 1001X

ASR 1002X

ASR 1004 RP2

ASR 1006 RP2

IOS XE 16.6 (Pi32) Universal No Yes Yes
IOS XE 16.9 (Pi33)
CSR 1000v IOS XE 16.6 Universal No No Yes
IOS XE 16.9
IOS XE 16.12
IOS XE 16.12.2
ISR G2 29xx, 39xx, 39xxE 15.6(3)M1 Universal Yes Yes Yes
15.7(3)M1

ISR G3 43xx (4321, 4331, 4351)

ISR G3 44xx (4431, 4451, 4461)

IOS XE 16.6 (Pi32)

IOS XE 16.9 (Pi33)

IOS XE 17.2

Universal No Yes Yes

Notes

  • All Gateways in the above table support inbound contact center calls and Call Progress Analysis (CPA) for Outbound Option with TDM Trunks.

  • For IPv6-enabled deployments, the supported IOS versions for NAT64 translations are 15.4(2)T3 and later releases.

  • Multi-VRF requires IOS XE 16.3.4 to support Hosted Collaboration Solution for Contact Center.

  • The Contact Center Enterprise release 12.0(1) solutions are qualified with vCUBE (CUBE on CSR 1000v) Fuji release versions 16.9.1 and 16.9.2.

  • Unified CVP supports the listed IOS release trains and their later M or T trains respectively. For example, gateways supporting 16.1(4)M3 will also support 16.1(4)M4 and 16.1(4)M7, but not 16.1(4)M1 and 16.1(4)M2.

  • Unified CVP supports SHA-256.

IOS Versioning Key 16.1(4) M3 and 16.1(4) T1 as Examples

  • 16.1 is the version number.

  • (4) is the release number.

  • M3 and T1 are the train release numbers. M is the mainline train and T is the technology train.

  • An increment in the release number after M or T refers to additional bug fixes.

IOS-XE Versioning Key 16.12.1a and 16.12.3 as Examples

  • 16.12 is the version number.

  • 1 and 3 are the increment release numbers with additional bug fixes.

  • "a" indicates a special release.

  • Every three releases include a maintenance release incremented as 16.3, 16.6, 16.9, 16.12, 17.3, and so on.

Cisco Unified SIP Proxy

Supported Versions: Cisco Unified SIP Proxy (CUSP) 9.0(x), 9.1(x), and 10.0(x).

Notes

Unified CCE, Packaged CCE, and HCS for CC solutions support CUSP 10.0(x) only in non-secure mode.

Endpoints for Agents and Callers

Endpoint Voice & Finesse Desktop Video Unified CM Silent Monitor Agent Greeting Whisper Announcements Finesse IP Agent Phone IPv6 SCCP (UCCE Only) IPv6 SIP Video Prompt/Queue When used as Caller Endpoint Support MRA
7821, 7841, 7861 Y N Y Y Y Y N Y Y Yes Audio Only
7925G, 7925G-EX Y N N N N N N N/A N N
7942G, 7945G, 7962G, 7965G, 7975G Y N Y Y Y N Y N Y N
8811, 8821, 8841, 8851, 8851NR, 8861 Y N Y Y Y Y N Y Y Yes Audio Only
8845, 8865 Y Y Y Y Y Y Y Y Y Yes Audio Only
8941, 8945 Y Y Y Y Y N N N N N
8961 Y Y Y Y Y N N Y N N
9951, 9971 Y Y Y Y Y N N Y N N
C40, C60, C90 Telepresence Y Y N N N N N Y Y N
EX60, EX90 Y Y N N N N N Y Y N
Jabber for Mac Y Y Voice only N Y N N N Y Y
Jabber for VDI Y N Voice only N Y N N N Y Y
Jabber for Windows Y Y Voice-only N Y N N N Y Y

Cisco IP Communicator 8.6(4) and later

Y

N

Y

Y

Y

Y

N

N

Y

N

MX300 G2, MX700, MX800 Telepresence Y Y N N N N N Y Y N
SX10, SX20, SX80 Telepresence Y Y N N N N N Y Y N

Notes

  • General: Only the Cisco IP Phones listed in the above table are supported as contact center agent phones. As an alternative, you can deploy the Mobile Agent solution to enable the contact center to use any phone as an agent phone.

  • General: The Join Across Line (JAL) and Direct Transfer Across Line (DTAL) phone features are not supported, and must be disabled on phones that come packaged with these features and local CTI ports (LCP) for Mobile Agent.

  • General: For any phone that allows Single Line Mode, you can use Shared Line on a non-ACD line. You must have your PG in Single Line Mode (set the Agent Phone Line Control setting to Single Line).

  • General: Other than call initiation, all other call control on the non-ACD extensions is supported from multiline capable desktops. Calls initiated from the hard phone can be controlled after initial call setup.

  • General: Call Park is not supported on ACD and non-ACD lines.

  • 78xx: If Cisco Finesse IPPA agents use 78xx series phone, you must either disable the Cisco Finesse IPPA Inactivity Timeout feature or increase the timeout in the range of 120 seconds to one day (86400 seconds), so that the agent does not get logged out of Cisco Finesse IPPA even if the agent is on any other screen.

  • 88xx phones are supported only with desktop controls in the Standard Line mode. If both desktop and device controls are required, use the Enhanced Line mode.

  • 89xx and 99xx: 89xx and 99xx series phones do not support video prompt and queue.

  • 89xx, 99xx, and DX phones: These phones do not support directly disabling the Join Across Line (JAL) and Direct Transfer Across Line (DTAL) phone features. Instead, you must configure the Unified CM PG to use Multi-Line only. This setting applies to all phones controlled by that specific Unified PG. You cannot configure it on a phone-by-phone basis. Also, configure all phones with Set Maximum number of calls to 2 and Set Busy trigger to 1.

  • EX60 and EX90: EX60 and EX90 are only supported in Remote Expert (RE) deployments.

  • Jabber:

  • The phone models that are on end-of-life plan and have reached the end of maintenance for CUCM Release 14.0 will no longer register. For more information on the end-of-life phones, see the Field Notices at https://www.cisco.com/c/en/us/support/unified-communications/unified-communications-manager-callmanager/products-field-notices-list.html.

Endpoints Supported for Callers Only

Callers outside of the enterprise's network can use the following endpoints:

  • Jabber for iOS

  • Jabber for Android

Single Sign On (SSO) Identity Providers (IdPs)

Unified CCE supports all SAML 2.0 compliant IdPs.

Refer to the respective IdP documentation for information about how to configure the IdP for Unified CCE.

The following is the list of SAML 2.0 compliant IdPs that are tested with this Unified CCE release:

Identity Providers

Versions

Microsoft AD FS (Active Directory Federation Services)

AD FS 4.0: Windows Server 2016 (Standard and Datacenter editions)

AD FS 3.0: Windows Server 2012 R2

PingFederate 8.2.2.0
OpenAM 10.0.1
Shiboleth 3.3.0
F5 13

Notes

Cisco Unified Contact Center Management Portal (CCMP for Unified CCE) and Cisco Unified Contact Center Domain Manager (CCDM for HCS-CC), and ECE Release 12.0(1) support only Microsoft AD FS 2012 R2 with WS-Federation via JSON Web Token (JWT). Cisco contact center solutions using SSO with Cisco IdS, CCMP and CCDM must use Microsoft AD FS 2012 R2 as primary IdP.

However, user authentication access for CCMP and CCDM can be provided by one of the above IdPs via Federated Trust with Microsoft AD FS. Federated Trust is supported per Microsoft AD FS and third party IdP documentation and support.

Windows authentication with ADFS via Kerberos is supported for single-domain authentication (non-federated environments).

Windows authentication with ADFS is not supported on HCS for CC.

For ECE,

  • agent based users have the same compatibility as Cisco IDS.

  • Supervisors outside Cisco Finesse support any SAML 2.0 complaint IDP.

Transport Layer Security

Transport Layer Security (TLS) 1.0/1.1 is generally disabled by default with the option to re-enable if required.

The Unified CCE database access encrypts SQL user authentication using TLS, but the data connection is not encrypted.

12.0 Component Web Interfaces Database Access Ability to Reinstate 1.0/1.1
TLS 1.0/1.1 TLS 1.2 TLS 1.0/1.1 TLS 1.2*
PCCE X X Config
UCCE/ICM X X Config
AW Distributor/HDS/Logger N/A N/A X Config
Internet Script Editor X N/A N/A Config
CCE Admin X X Config
Web Setup X X Config
Diagnostic Portal X N/A N/A Config
Live Data X X Config
CTIOS C++ CIL X N/A N/A Config
SQL Gateway - DB Lookup N/A N/A X Config
Protocol - CTI Server and Media Routing X X X X
CVP X

N/A N/A Config
VVB X

N/A N/A Config CLI

IdS

X

N/A N/A

Finesse

X

X

Config CLI

CUIC

X

X

Config CLI

ECE

X

X

Script

Live Data

X

N/A N/A Config CLI

SocialMiner

X

N/A N/A

Script

CCMP/CCDM

X

X X Config CLI

RE Mobile

X

N/A N/A Script

ACD

X X N/A X

UC Manager

X

N/A N/A Config CLI

Client Operating System

Components

Clients OS

Cisco Finesse Microsoft Windows 10
Mac OS X 10.10, 10.11
ChromeOS 70 (64-bit) and higher
Cisco Unified Call Studio Microsoft Windows 10 (64-bit)
Administration Client

Microsoft Windows Server 2016 (Standard and Datacenter editions)

Microsoft Windows 10 (Enterprise and Professional)
Internet Script Editor (ISE) Microsoft Windows 10 (Enterprise and Professional)
Silent Monitor Service for Unified CCE Toolkit Microsoft Windows 10 (Enterprise and Professional)
CTI OS Clients Microsoft Windows 10 (Enterprise and Professional)
Note 

For more information on the supported versions of Microsoft Windows 10 with specific versions of .NET Framework, see the Microsoft documentation.

Notes

  • CTI OS is only supported for Unified ICM when used in conjunction with Avaya PG, Aspect PG, AACC (Symposium) PG, or non-reference design deployments like Parent-Child that employ Unified CCE System PG. The supported CTI OS version is aligned with the supported PG version. The supported CTI OS desktop versions are 11.5(x) or later.

  • CTI OS and CAD are not supported from Unified CCE, Release 11.5(x). New and existing deployments upgrading to Unified CCE release 12.0(1) or later must use Finesse desktop instead of CTI OS and CAD.

  • Silent Monitoring Service is not supported on CTI OS deployments starting with Unified CCE release 11.5(1).

Supported Browsers

Operating System

Browser Version

Microsoft Windows Server 2016 (Standard and Datacenter editions)

Internet Explorer v11.0.9600.17031

Chrome v69.0.3497.92

Firefox Quantum 62

Microsoft Edge v41.16299.248.0

Microsoft Windows 10

Internet Explorer v11.345.17134 or later in Native Mode.

Google Chrome v60 or later.

Note 

Chrome does not support access to CUIC OAMP.

Firefox Extended Supported Release (ESR) 52 and later ESRs.

Microsoft Edge v41.16299.15.0 or later.

Note 

Microsoft Edge can consume considerably higher memory for the same when compared to Chrome or Firefox. Hence, users with Edge should use a system with a minimum configuration of 8 GB RAM.

Mac OS X

Firefox Extended Supported Release (ESR) 45 and later ESRs.

Google Chrome v48 or later.

Chromebook with Chrome OS v70

Chromium v73 or later.

Google Chrome v60 or later.

Note 

Chrome does not support access to CUIC OAMP.

Notes

  • Unified CCE Administration requires full screen view of the browser with the minimum resolution of 1366 x 768.

  • All browsers must support SHA-256 certificates.

Browser Exceptions

  • Windows 10 has Microsoft Edge as default browser. Enable Internet Explorer v11.345.17134 or later in native mode as default browser, if required.

  • CCE Administration Client (AW) Setup tool does not support Firefox and Chrome. Use Internet Explorer v11.345.17134 or later versions, or Microsoft Edge v41.16299.15.0 or later.

  • CVP Operations Console (OAMP) and VVB Appadmin are supported on Internet Explorer only in compatibility mode. To ensure that all the functionalities of CVP OAMP work in Internet Explorer, set the emulation level to at least 10 by following the steps documented in the Test your sites for document mode compatibility section at Fix web compatibility issues using document modes and the Enterprise Mode site list.

Supported Languages

Unified CCE Administration

Unified CCE Reporting Templates

Unified Intelligence Center

Finesse

Social Miner

Bulgarian

No

Yes

Yes

Yes

Yes

Catalan

No

Yes

Yes

Yes

Yes

Chinese (China)

Yes

Yes

Yes

Yes

Yes

Chinese (Taiwan)

Yes

Yes

Yes

Yes

Yes

Croatian

No

Yes

Yes

Yes

Yes

Czech

No

Yes

Yes

Yes

Yes

Danish

Yes

Yes

Yes

Yes

Yes

Dutch

Yes

Yes

Yes

Yes

Yes

English (United States)

Yes

Yes

Yes

Yes

Yes

Finnish

No

Yes

Yes

Yes

Yes

French (France)

Yes

Yes

Yes

Yes

Yes

German

Yes

Yes

Yes

Yes

Yes

Hungarian

No

Yes

Yes

Yes

Yes

Italian

Yes

Yes

Yes

Yes

Yes

Japanese

Yes

Yes

Yes

Yes

Yes

Korean

Yes

Yes

Yes

Yes

Yes

Norwegian

No

Yes

Yes

Yes

Yes

Polish

No

Yes

Yes

Yes

Yes

Portuguese (Brazil)

Yes

Yes

Yes

Yes

Yes

Romanian

No

Yes

Yes

Yes

Yes

Russian

Yes

Yes

Yes

Yes

Yes

Serbian

No

Yes

Yes

Yes

Yes

Slovenian

No

Yes

Yes

Yes

Yes

Slovakian

No

Yes

Yes

Yes

Yes

Spanish

Yes

Yes

Yes

Yes

Yes

Swedish

Yes

Yes

Yes

Yes

Yes

Turkish

No

Yes

Yes

Yes

Yes

Server Operating System

Components Server OS
Unified and Packaged CCE, ICM, HCS-CC and System PG

Microsoft Windows Server 2016 (Standard and Datacenter editions)

Enterprise Chat and Email

Microsoft Windows Server 2016 (Standard and Datacenter editions)

Unified CVP

Microsoft Windows Server 2016 (Standard and Datacenter editions)

Unified CCMP Microsoft Windows Server 2016 (Standard and Datacenter editions)
Unified CCDM Microsoft Windows Server 2016 (Standard and Datacenter editions)
Silent Monitor Server

Microsoft Windows Server 2016 (Standard and Datacenter editions)

CTI OS Server

Microsoft Windows Server 2016 (Standard and Datacenter editions)

Notes

Unified ICM/CCE is qualified to only work on a retail installation of the Microsoft Windows Server (Standard and Datacenter editions). Cisco does not support Unified ICM/CCE on a customized Microsoft Windows image (for example, a corporate image). If you use a customized image of the Microsoft Windows operating system, the Unified ICM/CCE application can fail.

SQL Server and Informix Versions

Components

SQL Server Version

Unified and Packaged CCE, ICM, and HCS-CC

Microsoft SQL Server 2017 (Standard and Enterprise editions) with cumulative updates.

Note 

UCCE supports the 64-bit version of Microsoft SQL Server 2017 only.

Enterprise Chat and Email
  • ECE 400 agent deployment: Microsoft SQL Server 2016 SP2 Standard and Enterprise editions are supported.

  • ECE 1500 agent deployment: Microsoft SQL Server 2016 SP2 Standard and Enterprise editions are supported.

Unified CVP IBM Informix 12.10c3
Unified CCMP Microsoft SQL Server 2016 SP2 Standard edition.
Unified CCDM Microsoft SQL Server 2016 SP2 Standard edition.

Microsoft Windows and Microsoft SQL Server Localization Support

The following table lists the supported localized versions of Microsoft Windows Server and SQL Server to use with Cisco Unified ICM and Unified CCE components:

Microsoft Windows Server 2016 Microsoft SQL Server 2017 SQL Collation Setting
Danish Latin1_General
Dutch
Finnish
French French
German German
Italian Italian
Norwegian
Portuguese (Brazil) Portuguese (Brazil)
Spanish Spanish
Swedish
Chinese (simplified) Chinese (simplified) Chinese_PRC
Chinese (traditional) Chinese (traditional) Chinese_Taiwan_Stroke
Japanese Japanese Japanese
Korean Korean Korean_Wansung
Polish Polish
Russian Cyrillic_General
Turkish Turkish

Notes

  • In the above table, if a corresponding localized SQL Server 2017 in the Microsoft SQL Server 2017 column for a particular language in the Microsoft Windows Server 2016 column is not shown, use the English SQL Server 2017 with the applicable setting in the SQL Collation Setting column.

  • Unified CCE supports multilingual versions of Microsoft Windows Server 2016 (English Windows Server 2016 with language packs installed). For details about how to set up multilingual versions of Microsoft Windows Server 2016, see the http://www.cisco.com/en/US/products/sw/custcosw/ps1844/prod_installation_guides_list.html.

  • Use English SQL Server 2017 on multilingual versions of the Microsoft Windows Server 2016 environment. These are examples of supported multilingual environments:

    • English Windows Server 2016 with Japanese Windows language pack installed, and English SQL Server 2017 with Japanese SQL Collation Setting.

    • English Windows Server 2016 with Russian Windows language pack installed, and English SQL Server 2017 with Cyrillic_General SQL Collation Setting.

Java JRE and JDK

Release 12.0(1) supports the following Java Runtime Environment (JRE) versions.

Microsoft .NET Framework

  • Microsoft Windows Server 2016 (Standard and Datacenter editions) comes with pre-installed .NET version 4.6.2. Unified CCE Administration client installs .NET version 4.7.2 on Windows 10 system. Unified CCE release 12.5 installs Microsoft .NET Framework version 4.7.2.

  • CTI OS Client release 12.5 installs Microsoft .NET Framework version 4.7.1.

Other Supported Software

Function

Software

Microsoft Active Directory

Microsoft Active Directory versions 2012 R2 and 2016 are supported with the Cisco Unified CCE, Packaged CCE and HCS-CC solutions.

Remote Administration

For Remote Desktop usage information, see the Remote Administration section in the Security Guide for Cisco Unified ICM/Contact Center EnterpriseSecurity Guide for Cisco Unified ICM/Contact Center Enterprise.

Antivirus Software The following Antivirus software were tested:
Note 

Ensure that you follow the antivirus guidelines specified in the Section, Antivirus Guidelines of the Security Guide for Cisco Unified ICM/Contact Center Enterprise at https://www.cisco.com/c/en/us/support/customer-collaboration/unified-contact-center-enterprise/products-installation-and-configuration-guides-list.html.

See the Cisco Customer Contact Software Policy for Use of Third-Party Software Bulletin at: https://www.cisco.com/c/en/us/products/collateral/customer-collaboration/unified-ip-interactive-voice-response-ivr/prod_bulletin09186a0080207fb9.html

Virtualization For more information about virtualization for all Unified CCE components, see the Unified Communications in a Virtualization page https://www.cisco.com/c/dam/en/us/td/docs/voice_ip_comm/uc_system/virtualization/cisco-collaboration-virtualization.html.

Unified Intelligence Center reporting

Microsoft Excel Versions 2007 and 2010: used for exporting reports.

Supported Agent Desktop Platforms

CTI Option ICM 12.0
Chrome OS v70 (64-bit) Windows 10 Mac OS X(10.10 and 10.11)
Cisco Finesse Yes Yes Yes

Virtual Desktop Infrastructure Support

Cisco Client Type Virtual Desktop Infrastructure
Cisco Finesse VMware View 5.x.
VMware Horizon 6.x and 7.x.
Citrix XenDesktop 7.x

Notes

  • Unified Communications Manager Silent Monitoring is the only silent monitoring type supported with VDI.

  • Desktop solutions are only supported on PC-like devices that utilize a keyboard and mouse. Tablets and mobile devices are not currently supported.

  • You can use any VDI endpoint that supports the specific Citrix or VMware VDI solution versions supported by Cisco. Verify that the bandwidth and deployment considerations of the solution meet the performance and timing requirements.

  • Cisco Unified Contact Center Enterprise Administration is not supported on virtual desktops.

Application Virtualization

Cisco Client Version Citrix/XenApp Remote Desktop Services Platform
Cisco Finesse XenApp 7.x Microsoft Windows Server 2016

Automatic Speech Recognition and Text to Speech

Category Requirements
Nuance Software Unified CVP was tested for interoperability with the following Nuance components:
Nuance Recognizer 11
Nuance Recognizer 10.5 (NR10.5):
Nuance Recognizer 10.5
Nuance Recognizer 10 (NR10):
Nuance Recognizer 10.2.7.2016030212 x86_64 - Package revision 16062
Nuance Vocalizer 7
Nuance Vocalizer 6.2
Voice Pack for Vocalizer 6.0.3
Voice Pack for Recognizer 10.2.0
Vocalizer for Enterprise 6.0.5.2015041409
Vocalizer for Enterprise 6.0.5.15104
Nuance Speech Server 6.2.8 - Package revision 15189
Note 

Contact Nuance support for compatibility of later dot releases of Nuance components with Unified CVP.

Operating System Use vendor-recommended operating system software.

Load Balancers

These Cisco components support third-party load balancers in redirect mode.

  • Unified CCE

  • Unified CVP

  • Unified Intelligence Center

  • Finesse

  • Enterprise Chat and Email

  • Remote Expert Mobile

Third-party load balancers must meet these requirements:

  • Both SSL offloading and SSL pass through must be supported

  • Load Balancer High Availability

  • Session stickiness is mandatory for Unified Intelligence Center

  • Persistence - cookie-insert

  • Distribution algorithm - Round-robin

See these documents for the interoperability notes and any known caveats of F5 Big-IP and Citrix NetScalar 1000v:


Note

For specific interfaces where you can use load balancers in your deployment, see the Cisco Design Guide for the UCCE component.


Remote Expert Mobile (REM)

For more information on Cisco Remote Expert Mobile, see the Cisco Contact Center Solutions and Unified Communications Manager Solution Configuration Guide for Remote Expert Mobile.


Note

For Video Contact Center, IOS 15.3(3)M3 or later version in the same train is required.


Apple iOS Device Support for REM

Devices Models
iPad iPad Air, iPad Air 2, iPad 2, iPad 3rd Generation, iPad 4th Generation
iPad Mini iPad Mini, iPad Mini with Retina Display, iPad Mini 3, iPad Mini 4
iPhone iPhone 4S, iPhone 5, iPhone 5C, iPhone 5s, iPhone 6, iPhone 6 Plus, iPhone 7, iPhone 7 Plus, iPhone 8, iPhone 8 Plus, iPhone X
iPod Touch iPod Touch 5th Generation

Notes

The devices must run Apple iOS 7 or later.

Android Device Support for REM

Android Vendors Models
Samsung Galaxy S4, S4 Mini, S5, S5 Mini, S6, S7
Galaxy Note III (or newer)
Galaxy Tab S, Tab 4 (8.4" and 10.1")
Google Nexus 5, 6, 7, 9, and 10, Pixel, Pixel XL
LG G2, Optimus G3
Motorola Moto G
HTC One M7, M8, One Max
HP Slate 7, 8, and 10

Notes

  • Devices must be running Android version 4.1.2 or later.

  • Not all devices have been tested, but the above are known to work.

  • The quality of sent and received video may be poorer on low-specification Android devices. This is especially true if the device is trying to send and receive full HD video. In such a scenario, the device can become overloaded.

Jabber System Requirements for REM Agents

System Requirement Jabber for Windows and Finesse Agent Desktop Jabber for Mac and Finesse Agent Desktop
Operating System Microsoft Windows 7 SP1 or later: 32 and 64 bit Apple OS X Mountain Lion 10.8.1 or later
Microsoft Windows 8.x: 32 and 64 bit Apple OS X Mavericks 10.9 or later
Windows 10: 32-bit and 64-bit Apple OS X Yosemite 10.10 or later
Installed RAM 4 GB 4GB
Free physical memory 2 GB 2 GB
Free disk space 1 GB 1 GB
CPU speed and type 4th Generation Intel Core i3 or later 1.6-GHz dual-core Intel Core i5 or later on the following hardware:
Mac Pro
MacBook Pro (including Retina Display models)
MacBook
MacBook Air
iMac
Mac mini
GPU DirectX 11 on Microsoft Windows 7 N/A
I/O ports USB 2.0 for USB camera and audio devices USB 2.0 for USB camera and audio devices
Screen resolution For Finesse clients, the minimum supported screen resolution is 1024x768. For Finesse clients, the minimum supported screen resolution is 1024x768.

Browser Support for REM Customers

Browser Supported Version Verified Against Plug-in Required Platform / Operating System
Google Chrome 48+ 62 No Windows
OSX
Linux
Chromebook
Mozilla Firefox 45+ ESR 57 No Windows
OSX
Linux
Microsoft Internet Explorer 11 11 Yes Windows
Apple Safari 8+ 10.1.2, 11.0 Yes OSX
Microsoft Edge 20.10240+ 38, 40 No Windows 10 Co-browsing only support from 20.10240 (EdgeHTML 12.10240).
Voice and Video support from 40.15063 (EdgeHTML 15.15063).
Opera 28+ 46 No Windows
OSX
Linux

Non Reference Design Compatibility

Unified CCE Parent Child Compatibility

Release Parent PG 11.0(x) Parent PG 11.5(x) Parent PG 11.6(x) Parent PG 12.0(x)
Child PG 11.0(x) Yes Yes Yes Yes
Child PG 11.5(x) Yes Yes Yes Yes
Child PG 11.6(x) Yes Yes Yes Yes
Child PG 12.0(x) Yes Yes Yes Yes

ICM-to-ICM Gateway Compatibility

ICM Client ICM Server
12 12
12 11.6
12 11.5
12 11
11.6 12
11.5 12
11 12

Third Party ACDs

Aspect Call Center with CMI

Switch Version CMI (Contact Server) ICM 11.6 Notes
v9.3 CMI v6.4 Yes CMI v6.4 is supported only on Win2k8.

Avaya

Avaya Considerations

Review the following Avaya support considerations:

  • Avaya name changes: Avaya changed names from DEFINITY to MultiVantage to Avaya Communications Manager (ACM) to Avaya Aura Communications Manager (AACM).

  • Cisco Hosted Collaboration Solution for Contact Center (Cisco HCS-CC) supports on Avaya third party Peripheral Gateways.

  • RTA 5.0.5 and RTA 6.0 enhanced functionality (60 skills per agent and 2000 skill groups per system) are not supported by ICM.

  • ICM does not support more than 12000 active associations on a single system.

  • All CMS versions are supported as long as a supported RTA is used.

  • Cisco supports the Avaya S8300, S8400, S85XX, S87XX, and S88XX Servers in support of ACM.

  • Cisco supports the general use of Avaya IP Phones.

  • Although Avaya stopped supporting the CVLAN interface in 2012, UCCE still uses this interface to communicate with Avaya products.

  • MAPD is not supported.

  • Support for third-party ACD clients, SDKs, and interfaces integrated with ICM stops when the third-party ACD manufacturer ends mainstream support.

  • Ten-digit Agent extension and Agent ID are supported from ICM 9.0(3) and later that have ACM 6.2 and later; AES 6.2 and later; and CMS R16 with RTA 6.0 pl: 13g.

Avaya CMS RTA Support
RTA Version ICM/Packaged CCE 12.0
6.0(x) Yes
6.0 Extended No
Avaya Communications Manager (ACM) Support
RTA Version ICM/Packaged CCE 12.0
ACM 6.3 (x) to 8.1(x) Yes
Notes on Avaya Communications Manager Support

Avaya Product Support Notice patch PSN020249u is required for ACM 7.0 (x) and above. For details, see the Product Support Notice at: https://downloads.avaya.com/css/P8/documents/101020687.

AES Server and CVLAN/TSAPI Client Support
AES Server CVLAN Client Supported TSAPI Client Supported ICM/Packaged CCE 12.0
6.3 (x) to 8.1(x) Yes Yes Yes

Note

To enable Avaya 8.1(x) AES Server support, install ES 40 for 12.0(x).


Avaya Nortel

These apply to the support of Avaya/Nortel's ACD switch types.

  • Cisco only supports certain Succession platforms with Symposium. See the following chart for details.

  • Cisco does not support more than one PG pair connected to a single Symposium server.

  • You must request the SCCS Toolkit from Cisco. To do so, send an email with this information to icm-nortelpg-sdk@cisco.com:

    • Customer name

    • Maintenance contract number

    • ICM version

    • PG version

    • Number of PGs

Avaya Aura Contact Center
AACC Version ICM 12.0
6 Yes
6.4 Yes
Notes to Avaya Aura Contact Center

The Automated Administrator for Symposium (AAS) feature is not supported with AACC 6.4.

Nortel SDK
ACD Version ICM 12.0 Notes
Nortel SDK 5.0 (with SCCS 5.0 and NCCM 6.0) No As of September 2008, Nortel does not provide support for SCCS 5.0.
Nortel SDK 6.0 (with NCCM 6.0, NCCM 7.0 and AACC 6.0) Yes For HDX 6, you must install RTD 6 on the PG.
Note: SDKs are not integrated with ICM.
Notes to Nortel SDK
  • Cisco does not support any major ACD version not shown in this matrix.

  • Nortel Contact Center Manager (NCCM), earlier known as Symposium (SCCS), was renamed to Avaya Aura Contact Center (AACC).

CTI Support for ACD Types

ACD Vendor ACD Model CTI Server Protocol Support CTI OS Support
Aspect Contact Server Yes Yes
Avaya Avaya Communication Manager driven by Avaya S8300, S8400, S85xx, S87xx, and S88xx Servers Yes Yes
Cisco Unified CCE Yes Yes
Avaya AACC Yes Yes